package com.abssqr.plat.common.model.enums;

import com.general.system.common.model.IEnum;

import java.util.HashMap;
import java.util.Map;

public enum AstTypeEnum implements IEnum{

    QCDK("QCDK","汽车贷款"),RZZL("RZZP","融资租赁"),BL("BL","保理"),DGDK("DGDK","对公贷款");

    private static final Map<String, AstTypeEnum> codeMap = new HashMap<String, AstTypeEnum>();

    static {
        for (AstTypeEnum item : AstTypeEnum.values()) {
            codeMap.put(item.getCode(), item);
        }
    }

    private String code;
    private String desc;

    private AstTypeEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public static AstTypeEnum getByCode(String code) {
        return codeMap.get(code);
    }

    @Override
    public String getCode() {
        return code;
    }

    @Override
    public String getDesc() {
        return desc;
    }
}
